> For the complete documentation index, see [llms.txt](https://developer.ivvy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ivvy.com/announcements/contact-sms-marketing.md).

# Contact SMS Marketing

### What is changing?

We are updating our API to remove the smsStatus attribute. This change aligns with the removal of SMS marketing functionality in November 2025.

Effective from 30 June 2026, smsStatus will be removed from the following endpoints:

* [addOrUpdateContact](/contact/add-or-update-contact.md)
* [getContact](/contact/get-contact.md)

### How might you be affected?

If you use the [addOrUpdateContact](/contact/add-or-update-contact.md) or [getContact](/contact/get-contact.md) endpoints, the `smsStatus` attribute will no longer be available in requests or responses.

### What is changing in the iVvy API?

* The `smsStatus` attribute will be fully removed from the API schema.
* It will no longer be returned by the [getContact](/contact/get-contact.md) and [getContactList](/contact/get-contact-list.md) endpoint.
* Requests to [addOrUpdateContact](/contact/add-or-update-contact.md) containing `smsStatus` will no longer be supported

### What should you do?

Please update your applications and integrations to remove all references to the `smsStatus` attribute before 30 June 2026.

If you have any questions or concerns regarding this API change please don't hesitate to reach out to our dedicated support team at <support@ivvy.com>.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.ivvy.com/announcements/contact-sms-marketing.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
